from django.shortcuts import render
from django.template import RequestContext
from django.conf import settings

from datetime import datetime

def request(request):
    context = RequestContext(request,
            {
            'datetime': datetime.utcnow().strftime("%Y-%m-%dT%H:%M:%SZ"),
            'url': request.build_absolute_uri(request.path),
            'hostname': request.get_host(),
            'settings': settings
            })
    if request.GET.has_key('verb'):
        if request.GET['verb'] == 'identify':
            return render(request, 'oai/identify.xml', context, content_type='text/xml')
        elif request.GET['verb'] == 'ListMetadataFormats':
            return render(request, 'oai/list_metadata_formats.xml', context, content_type='text/xml')
    return render(request, 'oai/bad_verb.xml', context, content_type='text/xml')

